Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.content
Class CmBrowserContentBaseFactory<T extends ContentBase>

    java.lang.Object
      com.bea.apps.groupspace.content.ContentFactoryImpl<T>
          com.bea.apps.groupspace.content.CmBrowserContentBaseFactory<T>

All Implemented Interfaces
  ContentFactory<T>, Serializable

    public class CmBrowserContentBaseFactory<T extends ContentBase>

extends ContentFactoryImpl<T>

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

Factory for the CM Browser Node wrappers.

See Also
  Serialized Form

Field Summary
`protected static CmBrowserContentBaseFactory` | `thisFactory`
`protected static Map<String,Class>` | `typeNameToClassHash`

Fields inherited from class com.bea.apps.groupspace.content.ContentFactoryImpl
`debug`

Constructor Summary
`protected` | `CmBrowserContentBaseFactory()`

Method Summary
`T` | `createContentWrapper(Node nodeToWrap, Class<T> typeConstraint)` Creates a CM browser `Node` wrappers based on information in the node CmBrowserBean - has `ObjectClass` and has no children CmBrowserContentFolder - has `ObjectClass` but has no children CmBrowserFolder - has no `ObjectClass` but does have children CmBrowserTypelessContent - has no `ObjectClass` and no children
`T` | `createContentWrapper(String cmTypeName, Class<T> typeConstraint)` No CM Browser Node wrappers should be created based on type
`protected Class` | `getClassFromMap(String cmTypeName)` No CM Browser Node wrappers should be created based on type
`static ContentFactory` | `getInstance()` singleton factory get method
`protected Class` | `getMinimumClass()` should match the class T extends as specified in the class declaration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeNameToClassHash

    protected static Map<String,Class> typeNameToClassHash

### thisFactory

    protected static CmBrowserContentBaseFactory thisFactory

Constructor Detail

### CmBrowserContentBaseFactory

    protected CmBrowserContentBaseFactory()

Method Detail

### getInstance

    public static ContentFactory getInstance()
                                      throws ClassNotFoundException

  singleton factory get method

  Returns
    the one shared instance of this factory
  Throws
    `ClassNotFoundException`

### createContentWrapper

    public T createContentWrapper(Node nodeToWrap,
                                  Class<T> typeConstraint)
                                               throws InstantiationException,
                                                      IllegalAccessException

  Creates a CM browser `Node` wrappers based on information in the node
  - CmBrowserBean - has `ObjectClass` and has no children
  - CmBrowserContentFolder - has `ObjectClass` but has no children
  - CmBrowserFolder - has no `ObjectClass` but does have children
  - CmBrowserTypelessContent - has no `ObjectClass` and no children

  Specified by:
    `createContentWrapper` in interface `ContentFactory<T extends ContentBase>`
  Overrides:
    `createContentWrapper` in class `ContentFactoryImpl<T extends ContentBase>`
  Parameters
    `nodeToWrap` - node to be wrapper
    `typeConstraint` - type returns must be assignable from
  Returns
    CmBrowser Node wrapper thing of Type T based on information above
  Throws
    `InstantiationException`
    `IllegalAccessException`

### createContentWrapper

    public T createContentWrapper(String cmTypeName,
                                  Class<T> typeConstraint)
                                               throws InstantiationException,
                                                      IllegalAccessException

  No CM Browser Node wrappers should be created based on type

  Specified by:
    `createContentWrapper` in interface `ContentFactory<T extends ContentBase>`
  Overrides:
    `createContentWrapper` in class `ContentFactoryImpl<T extends ContentBase>`
  Parameters
    `cmTypeName` - ignored
    `typeConstraint` - ignored
  Returns
    should never return
  Throws
    `InstantiationException`
    `IllegalAccessException`
    `RuntimeException` - always

### getMinimumClass

    protected Class getMinimumClass()

  should match the class T extends as specified in the class declaration.

  Specified by:
    `getMinimumClass` in class `ContentFactoryImpl<T extends ContentBase>`
  Returns
    ContentBaseImpl.class

### getClassFromMap

    protected Class getClassFromMap(String cmTypeName)

  No CM Browser Node wrappers should be created based on type

  Specified by:
    `getClassFromMap` in class `ContentFactoryImpl<T extends ContentBase>`
  Parameters
    `cmTypeName` -
  Returns
    should never return anything
  Throws
    `RuntimeException` - always

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved